LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-18-2009, 01:56 AM   #1
btbx
Member
 
Registered: Jun 2007
Posts: 67

Rep: Reputation: 15
Question Autoreconf Mess Up Configure Script


I try to compile several "src.rpm" / source packages on Mandriva.
Unfortunately there is something wrong with autoreconf or autoconf command in my PC.

Everytime I run this command, it always mess up "./configure" script near part that check about "--enable-shared" parameter.

The result after running "./configure":

./configure: line 3045: syntax error near unexpected token `build_old_libs,'
./configure: line 3045: ` _LT_DECL(build_old_libs, enable_static, 0,'

Without running "autoreconf" the original configure script is OK.
The src.rpm/source package that does not need "autoreconf" can be configured and compiled sucessfully.

How to solve this problem?
Thank you
 
Old 01-18-2009, 07:02 PM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 12,833

Rep: Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709Reputation: 1709
99% of the time the only time you need to run "autoreconf" is if the source is from svn or cvs .and THERE IS NO configure script to run.

what version of gcc is installed 3.4, 4.0 ,4.1, 4.2 , 4.3 ?
and what version of Autoconf is installed ,2.61 or what ?
Code:
gcc -v
 autoreconf -V
autogen -v
 
Old 01-19-2009, 05:49 AM   #3
btbx
Member
 
Registered: Jun 2007
Posts: 67

Original Poster
Rep: Reputation: 15
Wink

Thank you for the answer. Versions: GCC: 4.2.2, Autoconf: 2.63,
Autogen 5.9.5 (from Mandriva 2008.0 and 2009.0).

I found a solution that works, but I do not know how / why.

I guess LT_DECL had something to do with Libtool / libltdl. At first I use old Libtool version 1.5.26-5 (from Mandriva 2009.0), but there are errors on autoreconf. I upgrade to Libtool version 1.5.27a and it works. The errors are gone. I do not know why.

Can someone explain why upgrading the libtool solve the problem?
THank you.
 
  


Reply

Tags
autoconf, syntax


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
configure script sends bad switches to daughter configure scripts Wells Linux - Software 7 10-10-2008 03:38 PM
URGENT autoreconf error maheshadadrsh Linux - Software 3 12-28-2007 12:53 AM
Configure script Tuxinator Programming 1 03-07-2006 02:06 AM
Qt and configure script Peterius Linux - Software 0 10-18-2004 12:32 PM
Configure Script?? Phonics3k Linux - Software 12 06-20-2002 10:06 AM


All times are GMT -5. The time now is 10:17 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration